blender GUI 3d view, icons and material preview distorted

Bug #360415 reported by Prunus dulcis on 2009-04-13
66
This bug affects 8 people
Affects Status Importance Assigned to Milestone
blender (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: blender

1) Sytem informatio
Description: Ubuntu jaunty (development branch)
Release: 9.04

2) Package information
blender:
  Installiert: 2.48a+dfsg-1ubuntu3
  Kandidat: 2.48a+dfsg-1ubuntu3
  Versions-Tabelle:
 *** 2.48a+dfsg-1ubuntu3 0
        500 http://de.archive.ubuntu.com jaunty/universe Packages
        100 /var/lib/dpkg/status

3) when starting blender I expect a non-distorted GUI

4) Parts of the 3d-view do not get redrawn correctly (about 3cm of the bottom part), the buttons-header icons are not drawn correctly (possibly offset far down) and the material preview is squashed to the bottom. The problem is the same for windowed and fullscreen program.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: ath_hal
Package: blender 2.48a+dfsg-1ubuntu3
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: blender
Uname: Linux 2.6.28-11-generic i686

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :
Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Since blender has not changed during the last update (as far as I can remember at least) it is quite likely not a bug in blender itself but probably in some underlying graphics library (though I am really not skilled in terms of libraries and such stuff - but probably a helping hint :-) )

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Some further research and comments on blenderartists suggest that it actually might be a bug in intel graphics driver or something related - related bug might be this on

https://bugs.launchpad.net/bugs/359818

Revision history for this message
Mike Roberts (m.roberts) wrote :

It looks like a duplicate of https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/353763.
Are you experiencing issues similar to those in 353763?
Are you using EXA or UXA?

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :
Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Attached the xorg.conf - using EXA

Option "AccelMethod" "EXA"
Option "MigrationHeuristic" "greedy"

Since the bug appears no matter if fullscreen or windowed and also the menu is not offset (see attached "blender bug2.png") but rather no icons visible I do not think this is a duplicate of
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/353763
as you suggested.

If there are more helpful informations I can possibly provide, let me know - thanks :-)

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Ah, too fast, had not seen the second image in the other bug-report:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/353763/comments/4

that rather looks the identical indeed, but since I am not using UXA (and the other bug-report specifically refers to it) probably the title of the other bug-report is not fully correct (meaning, it does not depend on the UXA - option) and it is indeed a duplicate.

But I still have a feeling, there are several things mixed, because it really does not look at all like in
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/353763/comments/6

Sorry for writing the comment above too early...

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Now, it really is getting too late for me - accidentally attached the lspci -vvnn output to the other bug-report (deleted it there but still the comments are there)...

Anyway, in case it is helpful, attached the output (check - yepp, the right bug-report this time :-))...

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Changed the xorg.conf to UXA just for trial and error fun but the error remains the same...

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Did some more thorough testing and now that I am using UXA, the problems seem to mix partly - see attached image (blender bug3.png).
On the left of the image is the fullscreen-view - there "only" the button-icons are not working and the screen is partly distorted (as in my original bug-report) - already enough to make blender unusable.
On the right is the windowed-view: Now (with UXA), I get the menu to be offset in addition to the above problems. But still, in contrast to
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/353763/comments/6
I do not have a spacing around the blender window.

So I think, that the bugs are related but still not really the same (at least the symptoms are not though probably the root cause is), as I only get some of the UXA bugs, when actually enabling UXA.

Revision history for this message
Prunus dulcis (prunus-dulcis) wrote :

Might be a bit unclear in the above comment - both the right and left side of the image were made while using the UXA option in xorg.conf.

Revision history for this message
Johannes Langlotz (johannes-langlotz) wrote :

I can reproduce this bug. I am the reporter of bug #353763. I think this bug here is no duplicate because it appeared some time after #353763.

Revision history for this message
Nick Alderweireldt (nick-alderweireldt) wrote :

I confirm the bug. Blender is unusable.
2.6.30-020630rc2-generic #020630rc2 SMP Wed Apr 15 14:00:27 UTC 2009 i686 GNU/Linux
blender 2.48a and 2.49 windowed and full
Distorted GUI. Changing from 'sequence' to 'model' or 'animation' does not clean up the previous windows. The default cube at start up is white. Button have no icons in them. Only the 'sequence' mode cleans up the windows.

Revision history for this message
Nick Alderweireldt (nick-alderweireldt) wrote :

Sorry. Forgot to tell that I am using xserver-xorg-video-intel 2.2.7 with uxa enabled. However the result with the jaunty default 2.2.6 version with exa or uxa gives the same result. Reverting to intrepids 2.2.4 version did not help either.

Revision history for this message
mouchon (lemouchon) wrote :

I confirm also the bug but puting Option "NoAccel" "true"
let blender correctly displayed.
Linux 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux
Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
jaunty default 2.2.6 version

Revision history for this message
Michael (idmer) wrote :

Fix this by installing mesa 7.4.1 from https://launchpad.net/~xorg-edgers/+archive/ppa

Revision history for this message
Nick Alderweireldt (nick-alderweireldt) wrote :

I added the jaunty repos marked in the link and did an update.
The result is different. Blender is still not usable. I have icons in the buttons. So that one is solved. But the mouse does not work correct. The mouse pointer is 2 entries lower as than the highlighted entry in the menu. It generates screenfragments inside and outside the blender window. Hovering the mouse over an icons makes a copy of it 2 cm higher as long as the mouse is on the icon.

Revision history for this message
Kevin Roy (kiniou) wrote :

My laptop is running jaunty with the latest intel driver from xorg-edgers and i confirm i have the same bug in window mode. As a workaround, it works great in fullscreen.

lspci -v | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)

IMHO I don't think it's a blender bug because i didn't have this problem with my other desktop with nvidia driver.

Revision history for this message
mouchon (lemouchon) wrote :

I installed mesa 7.4.1 and it seem that the problem is solved. But when i put
Option "AccelMethod" "UXA" i have also the offset problem with menu.
using Option "AccelMethod" "EXA" doesn't give the offset problem.

Revision history for this message
Nick Alderweireldt (nick-alderweireldt) wrote :

Thanks Michael and mouchon.
I confirm that the offset is gone after changing "uxa" to "exa" in xorg.conf. The other problems (button icons; screen refreshing) are gone as well. Blender is now usable.

Revision history for this message
Adam (adam77) wrote :

Hi guys,

Unfortunately upgrading to mesa 7.4.1 did not work for me. Although my bug seems slightly different to those described so far.

There are no problems in the main 3D viewport. The problem is that all the 2D gui components in the other panels are completely mangled (not present or moving around when mouse over). There's no problem when direct rendering is disabled. There was no problem in 8.10.

My chipset is 855GM. Does anyone who fixed the problem have the same chipset as me?

Revision history for this message
ole (oleel) wrote :

Hi everyone,

I had exactly the same problem as Prunus Dulcis posted a screenshot of in the second post. I am quite the beginner when it comes to programming, so I didn't even try any of your fixes, and decided to wait until someone came up with some step-by-step solution I could manage. On a completely different note, I followed the guide on <a href="http://theindexer.wordpress.com/2009/04/24/to-do-list-after-installing-ubuntu-904-aka-jaunty-jackalope/">this</a> website
just to get some good software. As it turned out, after completing the first step (changing the sources list and updating), blender worked perfectly! I don't know exactly what fixed the problem, but something in all those packages did.. Hope this helps. Spread the word.

Revision history for this message
ole (oleel) wrote :

Goddamn, that was a pathetic linking attempt, but you get the drift.. Quite the beginner, yes.

Revision history for this message
ole (oleel) wrote :

UPDATE: This is just weird: I tried blender in another workspace, turns out, the bug is back! I tried the already open blender in another workspace, works perfect! I have a functioning and non-functioning blender at the same time! I closed down the working blender, and blender has not worked since. WTF?? All i did in the meantime was writing the post above. What the hell is going on here? Anyone?

Trevor Walker (trebawa) on 2009-05-24
Changed in blender (Ubuntu):
status: New → Confirmed
Revision history for this message
Trevor Walker (trebawa) wrote :

For me, adding the xorg-edgers repository and upgrading mesa worked.

Revision history for this message
Trevor Walker (trebawa) wrote :

Whoops, spoke too soon. My 3D View and Buttons windows are fixed, but now menus don't work. Interestingly, they work in fullscreen, but then there's the offset problem.

Revision history for this message
yeus (thomas-meschede-deactivatedaccount) wrote :

this bug is a duplicate of #365776 https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/365776

maybe someone knows how to change the duplicate-entries? because it doesn't allow me to do that...

greetings, tom

Revision history for this message
David Stansby (dstansby-deactivatedaccount) wrote :

First of all you need to change the duplicate of this bug to be a duplicate of the other bug before this bug can be marked a duplicate of the other bug. I've done it now.

Revision history for this message
Remove Me (remove-me) wrote :

Upgrading to mesa 7.2 from xorg-edgers fixed all blender issues here.

Revision history for this message
Remove Me (remove-me) wrote :

mesa-7.6, certainly: 7.6.0~git20090803.7420e338-0ubuntu0sarvatt~jaunty

Revision history for this message
keyser84 (keyser84) wrote :

No more problems in Karmic Alpha 5 (mesa 7.6.0). Great!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers